## org.apache.batik.util.gui.resource
Class MissingListenerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.apache.batik.util.gui.resource.MissingListenerException

All Implemented Interfaces:
  java.io.Serializable

public class MissingListenerException
extends java.lang.RuntimeException

Signals a missing listener

See Also:
  Serialized Form

Constructor Summary
`MissingListenerException(java.lang.String s, java.lang.String className, java.lang.String key)` Constructs a MissingListenerException with the specified information.

Method Summary
`java.lang.String` `getClassName()` Gets parameter passed by constructor.
`java.lang.String` `getKey()` Gets parameter passed by constructor.
`java.lang.String` `toString()` Returns a printable representation of this object

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MissingListenerException

    public MissingListenerException(java.lang.String s,
                                    java.lang.String className,
                                    java.lang.String key)

  Constructs a MissingListenerException with the specified information. A detail message is a String that describes this particular exception.

Parameters:
  `s` - the detail message
  `key` - the key for the missing listener.

Method Detail

### getClassName

    public java.lang.String getClassName()

  Gets parameter passed by constructor.

### getKey

    public java.lang.String getKey()

  Gets parameter passed by constructor.

### toString

    public java.lang.String toString()

  Returns a printable representation of this object

Copyright © 2004 Apache Software Foundation. All Rights Reserved.